Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ipipan.spejd.ruleparser
Class Requirement

    java.lang.Object
      ipipan.spejd.ruleparser.Requirement

    public class Requirement

extends java.lang.Object

Representation of a single requirement, like `case~"acc|gen"` or `base~~woda/i`.

Field Summary
`static int` | `CASE_INS`
`static int` | `FORALL`
`static int` | `NEGATED`
`static int` | `PARTIAL`

Constructor Summary
`Requirement(int attrId, java.lang.String val, int flags)`

Method Summary
`boolean` | `forall()`
`java.lang.String` | `safeRegexp(java.lang.String regexp)` A separate copy of this method exists in EntityRequirement to avoid static TODO - add "extends EntityRequirement" to the definition of this class?
`java.lang.String` | `toRegexp()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NEGATED

    public static final int NEGATED

See Also:
  Constant Field Values

### FORALL

    public static final int FORALL

See Also:
  Constant Field Values

### CASE_INS

    public static final int CASE_INS

See Also:
  Constant Field Values

### PARTIAL

    public static final int PARTIAL

See Also:
  Constant Field Values

Constructor Detail

### Requirement

    public Requirement(int attrId,
                       java.lang.String val,
                       int flags)

Method Detail

### safeRegexp

    public java.lang.String safeRegexp(java.lang.String regexp)

  A separate copy of this method exists in EntityRequirement to avoid static TODO - add "extends EntityRequirement" to the definition of this class?

  Parameters:
    `regexp` -
  Returns:

### forall

    public boolean forall()

### toRegexp

    public java.lang.String toRegexp()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD